Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160485 - up2date --get-source
Summary: up2date --get-source
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: fedora-release
Version: fc4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Release Notes Tracker
QA Contact: Tammy Fox
URL: http://fedoraproject.org/wiki/DocsPro...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 13:32 UTC by Paul Howarth
Modified: 2007-04-18 17:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-09 11:04:15 UTC


Attachments (Terms of Use)

Description Paul Howarth 2005-06-15 13:32:22 UTC
Description of problem, bug, incorrect information, or enhancement request:

The "Preparing for Kernel Development" section of the release notes suggests the
following command for retrieving the kernel SRPM:

up2date --get-source kernel

The version of up2date shipped with FC4 uses the same repos as yum, and it's my
understanding that yum repos do not contain SRPMS. So up2date cannot retrieve
SRPMs from the default repos and hence this command does not work.

If my understanding is correct (which might not be the case), then it's probably
also worth raising a bug on up2date to have it generate a sensible error message
when someone requests source for a package in a yum repo, rather than a traceback.

Whilst I'm here, the release Overview contains a list of 80 new daemons covered
by the targeted SELinux policy. One of these is "ppd", which I believe is a typo
for "pppd".

Version of release notes this bug refers to:

Fedora Core 4 final release

Comment 1 Karsten Wade 2006-09-23 19:10:16 UTC
Both of these bugs are still in the notes:

http://fedora.redhat.com/docs/release-notes/fc4/#sn-overview
http://fedora.redhat.com/docs/release-notes/fc4/#sn-kernel

It is possible to do updates to this version of the release notes, with some
effort and some assistance from the folks on fedora-docs-list.   Sorry that the
Docs Project hasn't picked this one up; we've been full-bore forward for a long
time.

I'm going to save these notes, then move this bug into Fedora Legacy.

Comment 2 Paul Howarth 2007-01-09 11:04:15 UTC
Given that no further updates for FC4 are ever going to happen, and that up2date
is no longer included in current Fedora releases, I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.